"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseWorkspaceDefinition = void 0;
const listYamlFilesForWorkspace_1 = require("./listYamlFilesForWorkspace");
const parseYamlFiles_1 = require("./parseYamlFiles");
const validateStructureOfYamlFiles_1 = require("./validateStructureOfYamlFiles");
async function parseWorkspaceDefinition({ name, absolutePathToDefinition, }) {
    const files = await (0, listYamlFilesForWorkspace_1.listYamlFilesForWorkspace)(absolutePathToDefinition);
    const parseResult = await (0, parseYamlFiles_1.parseYamlFiles)(files);
    if (!parseResult.didSucceed) {
        return parseResult;
    }
    const structuralValidationResult = (0, validateStructureOfYamlFiles_1.validateStructureOfYamlFiles)(parseResult.files);
    if (!structuralValidationResult.didSucceed) {
        return structuralValidationResult;
    }
    return {
        didSucceed: true,
        workspace: {
            name,
            files: structuralValidationResult.validatedFiles,
        },
    };
}
exports.parseWorkspaceDefinition = parseWorkspaceDefinition;
